Subject: TCA tt_content - l18n_parent field missing
Description

I think around line 1968 in tbl_tt_content.php (sysext 'cms') is the l18n_parent field missing.
The corresponding label is missing too. See locallang_ttc.xml.

Now:

'general' => array(
    'showitem' => 'CType;LLL:EXT:cms/locallang_ttc.xml:CType_formlabel,
colPos;LLL:EXT:cms/locallang_ttc.xml:colPos_formlabel,
sys_language_uid;LLL:EXT:cms/locallang_ttc.xml:sys_language_uid_formlabel',
    'canNotCollapse' => 1,
),

Related issues:
related to Core - Feature # 23766: Implement new layout and labels for tt_con... Closed 2010-10-17

Associated revisions
Revision 2ea4de97 - 2014-05-03 11:15 - Alexander Bigga

[BUGFIX] Add l18n_parent to tt_content TCA

If an editor ignores the "Copy default content elements"-button, it is
not possible to get a new content element in the alternative language
related to it's parent.

The existing l18n_parent field is never shown. This seems to be a bug
which was introduced in TYPO3 4.5 and exists up to now.

The patch adds the l18n_parent field to the general tab.

Resolves: #26709
Releases: 6.2
Change-Id: Id5f171cd4d1a6441cb58123aaa2b9bd337271556
Reviewed-on: https://review.typo3.org/29054
Reviewed-by: Frans Saris
Reviewed-by: Nadir S.
Tested-by: Nadir S.
Reviewed-by: Sascha Wilking
Tested-by: Sascha Wilking
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2011-05-10 09:06 - Daniel Alder
- File demo.diff added

Possible solution

#2 - 2011-05-12 15:35 - Peter Kraume

Quick workaround: create a new extension and put this into ext_tables.php:

t3lib_extMgm::addToAllTCAtypes('tt_content','l18n_parent');

#3 - 2011-05-17 11:54 - Markus Klein

Should be enough to add this line to typo3conf/extTables.php.

#4 - 2011-06-15 18:00 - Thomas Deinhamer
- Target version set to 4.5.4

It seems that the l18n_parent field was forgotten,
maybe because if it is shown, it will probably explode
the layout as it can get very long for text content elements.

Probably this needs some adjustments, but at present
there is no default setting in the TCA to render this
select field with acceptable output.

The only possible way to limit the width of the select field
for now, would be to write a custom userfunc for the field.

You can edit the l18n_parent in the list view anyway,
but for normal editors no chance, they can't reference
new created elements (no-copy) to original contents.

I think this should be fixed in the next 4.5 release too.
My temporary bugfix is was to overwrite the TCA in the
ext_tables.php file inside a custom extension; I added
"--linebreak--, l18n_parent" at the end:

$TCA['tt_content']['palettes']['general']['showitem'] = 'CType;LLL:EXT:cms/locallang_ttc.xml:CType_formlabel,
colPos;LLL:EXT:cms/locallang_ttc.xml:colPos_formlabel, sys_language_uid;LLL:EXT:cms/locallang_ttc.xml:sys_language_uid_formlabel,
--linebreak--, l18n_parent';

#5 - 2011-08-16 13:24 - Oliver Hader
- Target version changed from 4.5.4 to 4.5.6

#6 - 2011-10-24 02:06 - Chris topher
- Target version changed from 4.5.6 to 4.5.8

#7 - 2012-01-24 15:40 - Ernesto Baschny
- Target version changed from 4.5.8 to 4.5.12

#8 - 2012-02-09 17:43 - Alexander Bigga

Markus Klein wrote:

Should be enough to add this line to typo3conf/extTables.php.

That's what I've done and I get a new tab where I can select the parent again.

That's really necessary because not all editors use the "copy from default" button :-(

#9 - 2013-07-30 19:54 - Philipp Gampe
- Category set to Backend User Interface
- Status changed from New to Accepted
- Target version deleted (4.5.12)

Someone willing to write a patch for this and to push it to gerrit? http://wiki.typo3.org/CWT

#10 - 2014-04-01 23:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29054

#11 - 2014-05-03 11:30 - Alexander Bigga
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2ea4de97fdff3185d5000bfdf5f871817ce7bf9d.
Files
demo.diff 1.9 kB 2011-05-10 Daniel Alder
